html,
body {
    overflow-x: hidden;
}

@font-face {
    font-family: Libre-Franklin;
    src: url(/font/Libre_Franklin/LibreFranklin-VariableFont_wght.ttf);
}

#whatsappBtn {
    padding: 8px;
    width: fit-content;
    height: 48px;
    background-color: rgba(0, 153, 0, 0.8);
    color: white;
    bottom: 20%;
    right: 0px;
    font-family: Libre-Franklin;
    position: fixed;
    border-radius: 5px 0px 0px 5px;
    text-decoration: none;
    transition-duration: 0.3s;
    z-index: 3;
}

#whatsappBtn:hover {
    background-color: rgba(0, 217, 0, 0.8);
}

#topbar {
    overflow: hidden;
    width: 100%;
    height: 64px;
    background-color: rgba(255, 255, 255, 0);
    top: 0px;
    left: 0px;
    display: inline;
    position: fixed;
    pointer-events: none;
    z-index: 3;
}

#toplogo img {
    width: 174px;
    height: 60px;
    margin: 2px 2px;
    float: left;
    pointer-events: all;
    z-index: 3;
}

#menutoggle {
    background-color: rgba(255, 255, 255, 0);
    border: none;
    float: right;
}

#menutoggle img {
    float: right;
    width: 60px;
    height: 60px;
    margin: 2px 2px;
    pointer-events: all;
    z-index: 3;
}

#background_img {
    width: 100%;
    height: 100%;
    position: fixed;
    object-fit: cover;
    z-index: -1;
}

#background_img img {
    width: 100%;
    height: 100%;
    position: fixed;
    object-fit: cover;
    z-index: -1;
}

body {
    margin: 0;
}

#navigation {
    position: fixed;
    overflow: hidden;
    transform: translateX(100%);
    opacity: 0;
    display: block;
    width: 100%;
    height: 64px;
    top: 0px;
    left: 0px;
    transition-duration: 1s;
    background-color: rgba(255, 255, 255, 0.65);
    z-index: 2;
}


#navitems {
    height: 64px;
    list-style: none;
    display: flex;
    flex-direction: row;
    overflow: hidden;
}

#navitems .navitem {
    color: black;
    font-size: 24px;
    padding: 16px;
    text-decoration: none;
    font-family: Libre-Franklin;
    overflow: hidden;
}

#navitems .navspacer {
    color: black;
    font-size: 32px;
    padding: 16px;
    width: 174px;
    text-decoration: none;
    font-family: Libre-Franklin;
}

#main-content {
    overflow-x: hidden;
    overflow-y: auto;
}

#header-text {
    position: relative;
    padding-top: 15%;
    padding-bottom: 15%;
    width: 100%;
    height: 40%;
    overflow: hidden;
    text-align: center;
    color: white;
    text-shadow: 2px 2px 4px black;
    font-size: 36px;
    font-family: Libre-Franklin;
    z-index: 1;
}

.text_container {
    width: 100%;
    background-color: lightgray;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text_container_text {
    width: 90%;
    text-align: center;
    font-family: Libre-Franklin;
    height: 300px;
    background-color: white;
    padding-left: 15px;
    padding-right: 15px;
}

.text_container_text h1,p {
    font-family: Libre-Franklin;
}
.text_container_text h1 {
    font-size: 32px;
}
.text_container_text p {
    font-size: 18px;
}

#bottom {
    background-color: rgb(60, 60, 60);
    font-family: Libre-Franklin;
    padding: 15px;
}

#contacts {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 10px;
    z-index: 1;
}

#contacts .contact {
    color: white;
    height: 75px;
    width: 150px;
    display: flex;
    flex-direction: column;
    margin: 3px;
    text-align: center;
    gap: 5px;
}
#contacts .contact .contact_img {
    height: 50px;
    width: 50px;
    align-self: center;
    fill: aquamarine;
}
#contacts .contact .contact_text {
    text-align: center;
    bottom: 5px;
}

#copyright {
    background-color: rgb(60, 60, 60);
    width: 100%;
    font-family: Libre-Franklin;
    display: flex;
    text-align: center;
    justify-content: center;
    font-size: 18px;
    color: white;
}

#copyright p {
    text-align: center;
    color: white;
}
@media (max-width: 1000px) {
    #navigation {
        overflow: hidden;
        padding-top: 30px;
        transform: translateX(100%);
        opacity: 0;
        display: block;
        width: 100vw;
        height: 100vh;
        top: 0px;
        left: 0px;
        transition-duration: 1s;
        background-color: rgba(255, 255, 255, 0.65);
        backdrop-filter: blur(3px);
    }

    #navitems {
        overflow: hidden;
        height: 100%;
        list-style: none;
        display: flex;
        flex-direction: column;
    }

    #navitems .navitem {
        color: black;
        font-size: 24px;
        padding: 16px;
        text-decoration: none;
        text-align: center;
        font-family: Libre-Franklin;
        overflow: hidden;
    }
}

@media (max-width: 1000px) {
    #experience {
        padding: 20px;
        gap: 20px;
        display: flex;
        justify-content: space-around;
        align-items: center;
        background-color: lightgray;
        flex-direction: column;
    }

    .exp_tile {
        height: 150px;
        width: 100%;
        background-color: gray;
        text-align: center;
        overflow: hidden;
        position: relative;
        display: inline-block;
    }

    .exp_tile .exp_overlay_text {
        height: 110px;
        width: calc(100% - 40px);
        top: 50%;
        left: 50%;
        color: rgb(72, 72, 72);
        background-color: rgba(255, 255, 255, 0.65);
        transform: translate(-50%, -50%);
        text-align: center;
        font-size: 18px;
        font-family: Libre-Franklin;
        overflow: hidden;
        position: absolute;
    }
}

p {
    font-family: Libre-Franklin;
}